Groovy 1.7.0

## org.codehaus.groovy.groovydoc
Interface GroovyRootDoc

    org.codehaus.groovy.groovydoc.GroovyRootDoc
      org.codehaus.groovy.groovydoc.GroovyDoc

All Superinterfaces:
  GroovyDoc

    interface GroovyRootDoc
    extends GroovyDoc

Method Summary
`GroovyClassDoc` | `classNamed(String arg0)`
`GroovyClassDoc[]` | `classes()`
`Map` | `getVisibleClasses(List importedClassesAndPackages)`
`String[][]` | `options()`
`GroovyPackageDoc` | `packageNamed(String arg0)`
`GroovyClassDoc[]` | `specifiedClasses()`
`GroovyPackageDoc[]` | `specifiedPackages()`

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface Comparable
compareTo

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Method Detail

### classNamed

    public GroovyClassDoc classNamed(String arg0)

### classes

    public GroovyClassDoc[] classes()

### getVisibleClasses

    public Map getVisibleClasses(List importedClassesAndPackages)

### options

    public String[][] options()

### packageNamed

    public GroovyPackageDoc packageNamed(String arg0)

### specifiedClasses

    public GroovyClassDoc[] specifiedClasses()

### specifiedPackages

    public GroovyPackageDoc[] specifiedPackages()

Copyright © 2003-2009 The Codehaus. All rights reserved.